tidy.pyears {broom} | R Documentation

## Tidy a(n) pyears object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'pyears'
    tidy(x, ...)

### Arguments

`x` | A `pyears` object returned from `survival::pyears()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each time point and columns:

`pyears` | person-years of exposure
`n` | number of subjects contributing time
`event` | observed number of events
`expected` | expected number of events (present only if a `ratetable` term is present)

If the `data.frame = TRUE` argument is supplied to `pyears`, this is simply the contents of `x$data`.

### See Also

`tidy()`, `survival::pyears()`

Other pyears tidiers: `glance.pyears`

Other survival tidiers: `augment.coxph`, `augment.survreg`, `glance.aareg`, `glance.cch`, `glance.coxph`, `glance.pyears`, `glance.survdiff`, `glance.survexp`, `glance.survfit`, `glance.survreg`, `tidy.aareg`, `tidy.cch`, `tidy.coxph`, `tidy.survdiff`, `tidy.survexp`, `tidy.survfit`, `tidy.survreg`

### Examples

    library(survival)

    temp.yr  <- tcut(mgus$dxyr, 55:92, labels=as.character(55:91))
    temp.age <- tcut(mgus$age, 34:101, labels=as.character(34:100))
    ptime <- ifelse(is.na(mgus$pctime), mgus$futime, mgus$pctime)
    pstat <- ifelse(is.na(mgus$pctime), 0, 1)
    pfit <- pyears(Surv(ptime/365.25, pstat) ~ temp.yr + temp.age + sex,  mgus,
                   data.frame=TRUE)
    tidy(pfit)
    glance(pfit)

    # if data.frame argument is not given, different information is present in
    # output
    pfit2 <- pyears(Surv(ptime/365.25, pstat) ~ temp.yr + temp.age + sex,  mgus)
    tidy(pfit2)
    glance(pfit2)

[Package broom version 0.5.2 Index]